function [] = updateGui()
%UPDATEGUI Summary of this function goes here
%   Detailed explanation goes here

global artoaGui artoaWorkspace;

if ~isfield(artoaWorkspace, 'editOffsets') ...
        || ~isfield(artoaGui.figures, 'editOffsets') ...
        || ~isvalid(artoaGui.figures.editOffsets)
    return;
end

fields = artoaWorkspace.editOffsets;
fieldNames = fieldnames(fields);

for i = 1:length(fieldNames)
    currentValue = fields.(fieldNames{i});
    switch fieldNames{i}
        case 'useOffsets'
            artoaGui.editOffsets.checkboxForceOptimumOffsets.Value = currentValue;
        case 'soundsourceOffsets'
            artoaGui.editOffsets.tableSoundsourceOffsets.Data = table2cell( ...
                currentValue ...
            );
            artoaGui.editOffsets.tableSoundsourceOffsets.RowName = currentValue.Properties.RowNames;
            artoaGui.editOffsets.tableSoundsourceOffsets.ColumnName = currentValue.Properties.VariableNames;
    end
end

end

