function [newValue] = checkboxUseOffsets(~, ~)
%CHECKBOXDOPPLERCORRECTION Summary of this function goes here
%   Detailed explanation goes here

global artoaGui artoaWorkspace artoaDataInput;

newValue = logical(artoaGui.editOffsets.checkboxUseOffsets.Value);

artoaWorkspace.editOffsets.useOffsets = newValue;

%% Update TOA

% combine initial toa and current applied soundsources
toaData = artoaWorkspace.toaData;
toaData.toa = artoaDataInput.toaData.toa;

%% Recalculate drift
artoa.controller.edit.offsets.updateWorkspaceOffsetsTable();
artoa.controller.edit.offsets.updateGui();

%% Select offset and drift from the table
artoa.controller.edit.offsets.selectOffsetsAndDrift();

artoaWorkspace.toaData = artoa.toa.recalculate( ...
    artoaWorkspace.float, ...
    toaData, ...
    artoaWorkspace.editOffsets.selectedOffsets ...
);

artoa.controller.edit.timeOfArrival.plot();


end

