function [offsets, drifts] = extractOffsetsDriftsFromSolved(pX)
%EXTRACTOFFSETSDRIFTSFROMSOLVED Summary of this function goes here
%   Detailed explanation goes here

soundsourceCount = (length(pX) - 3) / 2;

offsets = NaN(soundsourceCount + 1, 1);
drifts = NaN(soundsourceCount + 1, 1);

offsets(1) = pX(end - 1);
drifts(1) = pX(end);

for i = 2:2:(soundsourceCount * 2)
    offsets(i/2 + 1) = pX(i);
    drifts(i/2 + 1) = pX(i + 1);
end

end

